# _config.yaml — 模板：自动获取淘宝（阿里妈妈）优惠券并推送到微信群
# 说明：
# 1) 字段名基于 youxiang-Itchat 常见用法与业界通用约定，具体以仓库实际实现为准；
# 2) 建议把密钥放到环境变量里（如 ${TAOBAO_APP_KEY}），容器用 -e 注入；
# 3) 先在小群测试，确认格式/频率/去重策略再扩大范围。

app:
  timezone: Asia/Shanghai         # 时区
  language: zh-CN
  log_level: INFO                 # DEBUG/INFO/WARN/ERROR
  # 遇到异常的重试与限流
  reliability:
    max_retries: 3
    backoff_seconds: 3
    qps_limit: 8                  # 每秒请求数上限，避免触发风控

wechat:
  # 登录方式：建议使用 itchat-uos 提升成功率
  login: uos                      # uos / web
  groups:                         # 需要推送的微信群名称（精确匹配）
    - 我的优惠券群
  # 推送时是否 @所有人（谨慎开启）
  at_all: false
  # 每次推送的最大条数（防刷屏）
  max_items_per_push: 8

taobao:                            # 淘宝联盟（阿里妈妈）相关配置
  enable: true
  # 推荐把这些写成环境变量，在运行容器时注入：-e TAOBAO_APP_KEY=xxx 等
  app_key: ${TAOBAO_APP_KEY}
  app_secret: ${TAOBAO_APP_SECRET}
  session: ${TAOBAO_SESSION}      # 授权口令(如需)，阿里妈妈开放平台获取
  # 推广PID与adzone设置（二选一按项目实现，需要则都填）
  pid: "mm_xxx_xxx_xxx"
  adzone_id: 12345678

  # 物料/选品源：二选一或组合使用，按你习惯配置
  material:
    # 官方物料ID（例如“综合精选”、“好券清单”等），多ID会合并去重
    # 可在阿里妈妈物料中心查看；这里先留空，按需填写
    material_ids: []
    # 选品库ID（你的自建选品库）
    favorites_ids: []

  # 搜索/过滤条件（如果你按关键词拉取）
  search:
    keywords: []                  # 例如 ["纸巾", "洗衣液"]，为空则走物料流
    min_coupon_amount: 10         # 最低券面值
    min_commission_rate: 10       # 最低佣金比例（%）
    min_volume: 300               # 最近30天销量下限
    include_categories: []        # 类目白名单（可空）
    exclude_keywords: ["虚拟", "课程", "充值", "邀请码", "网课"]

  # 消息展示格式（Jinja 风格占位）
  message:
    template: |
      【{{title}}】
      券后价：¥{{final_price}}（券¥{{coupon_amount}}，原价¥{{zk_final_price}}）
      佣金：{{commission_rate}}% | 近30天销量：{{volume}}
      👉 领券下单：{{coupon_short_url}}
      #{{category}}  #{{shop_title}}
    # 单条消息里允许的最大字数（超出会截断/分条发送，视项目实现）
    max_chars: 800

  # 链接与转链
  link:
    create_tpwd: true             # 生成淘口令
    shorten: true                 # 短链
    prefer_schema: true           # 优先输出手淘schema
    # 去重策略：相同 item_id / coupon_id / schema 认为重复
    dedup:
      window_hours: 48
      keys: ["item_id", "coupon_id"]

scheduler:
  # 使用cron表达式安排任务
  jobs:
    - name: taobao_coupons_morning
      cron: "0 9 * * *"           # 每天 09:00
      action: taobao_coupons_to_wechat
      groups: ["我的优惠券群"]
      max_push_items: 8
    - name: taobao_coupons_evening
      cron: "0 20 * * *"          # 每天 20:00
      action: taobao_coupons_to_wechat
      groups: ["我的优惠券群"]
      max_push_items: 8

# 可选：HTTP 代理（如果你的服务器需要走代理访问开放平台）
proxy:
  enable: false
  http: ""
  https: ""

# 高级：黑白名单与人工置顶
moderation:
  block_shops: []                 # 拉黑店铺
  block_item_ids: []
  pin_keywords: ["神价格", "历史低价"]  # 命中则置顶
